# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Unreleased

## 0.2.1

Hotfix for typos in the docker manifest.

## 0.2.0

### ADDED

- Added [Drone plugin](https://docs.drone.io/plugins/overview/) support

### Drone Plugin Support

To use this as a drone plugin, use the following config:

```yaml
- name: auto-release
  image: xena/gitea-release:0.2.0
  settings:
    auth_username: cadey
    gitea_server: https://tulpa.dev
    gitea_token:
      from_secret: GITEA_TOKEN
  when:
    branch:
      include:
        - master
```

## 0.1.1

### FIXED

- Fixed 500 error when creating a new release

## 0.1.0

This is the first release of `gitea-release`!

```console
$ gitea-release release --help
gitea-release-release 0.1.0
Create a new tag and release on Gitea

USAGE:
    gitea-release release [FLAGS] [OPTIONS] --auth-user <auth-user> --owner <owner> --repo <repo> --server <server> --token <token>

FLAGS:
        --draft          Draft release
    -h, --help           Prints help information
    -p, --pre-release    Pre-release (not suitable for production)
    -V, --version        Prints version information

OPTIONS:
    -a, --auth-user <auth-user>    The gitea user to authenticate as [env: GITEA_AUTH_USER=cadey]
    -c, --changelog <changelog>    Changelog file to read from to create the release description [default:
                                   ./CHANGELOG.md]
    -n, --name <name>              Release name
    -o, --owner <owner>            The owner of the gitea repo [env: GITEA_OWNER=]
    -r, --repo <repo>              The gitea repo to operate on [env: GITEA_REPO=]
    -s, --server <server>          The gitea server to connect to [env: GITEA_SERVER=https://tulpa.dev]
        --token <token>            The gitea token to authenticate with [env: GITEA_TOKEN=]
```

### ADDED

- Basic functionality

